Imported Upstream version 0.1.16
[platform/upstream/libnice.git] / docs / reference / libnice / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # -*- mode: makefile -*-
18
19 ####################################
20 # Everything below here is generic #
21 ####################################
22 VPATH = @srcdir@
23 am__is_gnu_make = { \
24   if test -z '$(MAKELEVEL)'; then \
25     false; \
26   elif test -n '$(MAKE_HOST)'; then \
27     true; \
28   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
29     true; \
30   else \
31     false; \
32   fi; \
33 }
34 am__make_running_with_option = \
35   case $${target_option-} in \
36       ?) ;; \
37       *) echo "am__make_running_with_option: internal error: invalid" \
38               "target option '$${target_option-}' specified" >&2; \
39          exit 1;; \
40   esac; \
41   has_opt=no; \
42   sane_makeflags=$$MAKEFLAGS; \
43   if $(am__is_gnu_make); then \
44     sane_makeflags=$$MFLAGS; \
45   else \
46     case $$MAKEFLAGS in \
47       *\\[\ \   ]*) \
48         bs=\\; \
49         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
50           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
51     esac; \
52   fi; \
53   skip_next=no; \
54   strip_trailopt () \
55   { \
56     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
57   }; \
58   for flg in $$sane_makeflags; do \
59     test $$skip_next = yes && { skip_next=no; continue; }; \
60     case $$flg in \
61       *=*|--*) continue;; \
62         -*I) strip_trailopt 'I'; skip_next=yes;; \
63       -*I?*) strip_trailopt 'I';; \
64         -*O) strip_trailopt 'O'; skip_next=yes;; \
65       -*O?*) strip_trailopt 'O';; \
66         -*l) strip_trailopt 'l'; skip_next=yes;; \
67       -*l?*) strip_trailopt 'l';; \
68       -[dEDm]) skip_next=yes;; \
69       -[JT]) skip_next=yes;; \
70     esac; \
71     case $$flg in \
72       *$$target_option*) has_opt=yes; break;; \
73     esac; \
74   done; \
75   test $$has_opt = yes
76 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
77 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
78 pkgdatadir = $(datadir)/@PACKAGE@
79 pkgincludedir = $(includedir)/@PACKAGE@
80 pkglibdir = $(libdir)/@PACKAGE@
81 pkglibexecdir = $(libexecdir)/@PACKAGE@
82 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
83 install_sh_DATA = $(install_sh) -c -m 644
84 install_sh_PROGRAM = $(install_sh) -c
85 install_sh_SCRIPT = $(install_sh) -c
86 INSTALL_HEADER = $(INSTALL_DATA)
87 transform = $(program_transform_name)
88 NORMAL_INSTALL = :
89 PRE_INSTALL = :
90 POST_INSTALL = :
91 NORMAL_UNINSTALL = :
92 PRE_UNINSTALL = :
93 POST_UNINSTALL = :
94 build_triplet = @build@
95 host_triplet = @host@
96 target_triplet = @target@
97 subdir = docs/reference/libnice
98 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
99 am__aclocal_m4_deps = $(top_srcdir)/m4/as-compiler-flag.m4 \
100         $(top_srcdir)/m4/ax_check_openssl.m4 \
101         $(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/introspection.m4 \
102         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
103         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
104         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
105 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
106         $(ACLOCAL_M4)
107 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
108 mkinstalldirs = $(install_sh) -d
109 CONFIG_HEADER = $(top_builddir)/config.h
110 CONFIG_CLEAN_FILES =
111 CONFIG_CLEAN_VPATH_FILES =
112 AM_V_P = $(am__v_P_@AM_V@)
113 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
114 am__v_P_0 = false
115 am__v_P_1 = :
116 AM_V_GEN = $(am__v_GEN_@AM_V@)
117 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
118 am__v_GEN_0 = @echo "  GEN     " $@;
119 am__v_GEN_1 = 
120 AM_V_at = $(am__v_at_@AM_V@)
121 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
122 am__v_at_0 = @
123 am__v_at_1 = 
124 SOURCES =
125 DIST_SOURCES =
126 am__can_run_installinfo = \
127   case $$AM_UPDATE_INFO_DIR in \
128     n|no|NO) false;; \
129     *) (install-info --version) >/dev/null 2>&1;; \
130   esac
131 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
132 am__tty_colors_dummy = \
133   mgn= red= grn= lgn= blu= brg= std=; \
134   am__color_tests=no
135 am__tty_colors = { \
136   $(am__tty_colors_dummy); \
137   if test "X$(AM_COLOR_TESTS)" = Xno; then \
138     am__color_tests=no; \
139   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
140     am__color_tests=yes; \
141   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
142     am__color_tests=yes; \
143   fi; \
144   if test $$am__color_tests = yes; then \
145     red='\e[0;31m'; \
146     grn='\e[0;32m'; \
147     lgn='\e[1;32m'; \
148     blu='\e[1;34m'; \
149     mgn='\e[0;35m'; \
150     brg='\e[1m'; \
151     std='\e[m'; \
152   fi; \
153 }
154 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
155 am__vpath_adj = case $$p in \
156     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
157     *) f=$$p;; \
158   esac;
159 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
160 am__install_max = 40
161 am__nobase_strip_setup = \
162   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
163 am__nobase_strip = \
164   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
165 am__nobase_list = $(am__nobase_strip_setup); \
166   for p in $$list; do echo "$$p $$p"; done | \
167   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
168   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
169     if (++n[$$2] == $(am__install_max)) \
170       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
171     END { for (dir in files) print dir, files[dir] }'
172 am__base_list = \
173   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
174   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
175 am__uninstall_files_from_dir = { \
176   test -z "$$files" \
177     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
178     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
179          $(am__cd) "$$dir" && rm -f $$files; }; \
180   }
181 am__recheck_rx = ^[     ]*:recheck:[    ]*
182 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
183 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
184 # A command that, given a newline-separated list of test names on the
185 # standard input, print the name of the tests that are to be re-run
186 # upon "make recheck".
187 am__list_recheck_tests = $(AWK) '{ \
188   recheck = 1; \
189   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
190     { \
191       if (rc < 0) \
192         { \
193           if ((getline line2 < ($$0 ".log")) < 0) \
194             recheck = 0; \
195           break; \
196         } \
197       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
198         { \
199           recheck = 0; \
200           break; \
201         } \
202       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
203         { \
204           break; \
205         } \
206     }; \
207   if (recheck) \
208     print $$0; \
209   close ($$0 ".trs"); \
210   close ($$0 ".log"); \
211 }'
212 # A command that, given a newline-separated list of test names on the
213 # standard input, create the global log from their .trs and .log files.
214 am__create_global_log = $(AWK) ' \
215 function fatal(msg) \
216 { \
217   print "fatal: making $@: " msg | "cat >&2"; \
218   exit 1; \
219 } \
220 function rst_section(header) \
221 { \
222   print header; \
223   len = length(header); \
224   for (i = 1; i <= len; i = i + 1) \
225     printf "="; \
226   printf "\n\n"; \
227 } \
228 { \
229   copy_in_global_log = 1; \
230   global_test_result = "RUN"; \
231   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
232     { \
233       if (rc < 0) \
234          fatal("failed to read from " $$0 ".trs"); \
235       if (line ~ /$(am__global_test_result_rx)/) \
236         { \
237           sub("$(am__global_test_result_rx)", "", line); \
238           sub("[        ]*$$", "", line); \
239           global_test_result = line; \
240         } \
241       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
242         copy_in_global_log = 0; \
243     }; \
244   if (copy_in_global_log) \
245     { \
246       rst_section(global_test_result ": " $$0); \
247       while ((rc = (getline line < ($$0 ".log"))) != 0) \
248       { \
249         if (rc < 0) \
250           fatal("failed to read from " $$0 ".log"); \
251         print line; \
252       }; \
253       printf "\n"; \
254     }; \
255   close ($$0 ".trs"); \
256   close ($$0 ".log"); \
257 }'
258 # Restructured Text title.
259 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
260 # Solaris 10 'make', and several other traditional 'make' implementations,
261 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
262 # by disabling -e (using the XSI extension "set +e") if it's set.
263 am__sh_e_setup = case $$- in *e*) set +e;; esac
264 # Default flags passed to test drivers.
265 am__common_driver_flags = \
266   --color-tests "$$am__color_tests" \
267   --enable-hard-errors "$$am__enable_hard_errors" \
268   --expect-failure "$$am__expect_failure"
269 # To be inserted before the command running the test.  Creates the
270 # directory for the log if needed.  Stores in $dir the directory
271 # containing $f, in $tst the test, in $log the log.  Executes the
272 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
273 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
274 # will run the test scripts (or their associated LOG_COMPILER, if
275 # thy have one).
276 am__check_pre = \
277 $(am__sh_e_setup);                                      \
278 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
279 $(am__tty_colors);                                      \
280 srcdir=$(srcdir); export srcdir;                        \
281 case "$@" in                                            \
282   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
283     *) am__odir=.;;                                     \
284 esac;                                                   \
285 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
286   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
287 if test -f "./$$f"; then dir=./;                        \
288 elif test -f "$$f"; then dir=;                          \
289 else dir="$(srcdir)/"; fi;                              \
290 tst=$$dir$$f; log='$@';                                 \
291 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
292   am__enable_hard_errors=no;                            \
293 else                                                    \
294   am__enable_hard_errors=yes;                           \
295 fi;                                                     \
296 case " $(XFAIL_TESTS) " in                              \
297   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
298     am__expect_failure=yes;;                            \
299   *)                                                    \
300     am__expect_failure=no;;                             \
301 esac;                                                   \
302 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
303 # A shell command to get the names of the tests scripts with any registered
304 # extension removed (i.e., equivalently, the names of the test logs, with
305 # the '.log' extension removed).  The result is saved in the shell variable
306 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
307 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
308 # since that might cause problem with VPATH rewrites for suffix-less tests.
309 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
310 am__set_TESTS_bases = \
311   bases='$(TEST_LOGS)'; \
312   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
313   bases=`echo $$bases`
314 RECHECK_LOGS = $(TEST_LOGS)
315 AM_RECURSIVE_TARGETS = check recheck
316 TEST_SUITE_LOG = test-suite.log
317 TEST_EXTENSIONS = @EXEEXT@ .test
318 am__test_logs1 = $(TESTS:=.log)
319 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
320 TEST_LOGS = $(am__test_logs2:.test.log=.log)
321 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
322 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
323         $(TEST_LOG_FLAGS)
324 am__set_b = \
325   case '$@' in \
326     */*) \
327       case '$*' in \
328         */*) b='$*';; \
329           *) b=`echo '$@' | sed 's/\.log$$//'`; \
330        esac;; \
331     *) \
332       b='$*';; \
333   esac
334 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/gtk-doc.make \
335         $(top_srcdir)/test-driver
336 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
337 ACLOCAL = @ACLOCAL@
338 AMTAR = @AMTAR@
339 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
340 AR = @AR@
341 AS = @AS@
342 AUTOCONF = @AUTOCONF@
343 AUTOHEADER = @AUTOHEADER@
344 AUTOMAKE = @AUTOMAKE@
345 AWK = @AWK@
346 CC = @CC@
347 CCACHE_DISABLE = @CCACHE_DISABLE@
348 CCDEPMODE = @CCDEPMODE@
349 CFLAGS = @CFLAGS@
350 CPP = @CPP@
351 CPPFLAGS = @CPPFLAGS@
352 CYGPATH_W = @CYGPATH_W@
353 DEFS = @DEFS@
354 DEPDIR = @DEPDIR@
355 DLLTOOL = @DLLTOOL@
356 DSYMUTIL = @DSYMUTIL@
357 DUMPBIN = @DUMPBIN@
358 ECHO_C = @ECHO_C@
359 ECHO_N = @ECHO_N@
360 ECHO_T = @ECHO_T@
361 EGREP = @EGREP@
362 EXEEXT = @EXEEXT@
363 FGREP = @FGREP@
364 GLIB_CFLAGS = @GLIB_CFLAGS@
365 GLIB_LIBS = @GLIB_LIBS@
366 GLIB_MKENUMS = @GLIB_MKENUMS@
367 GNUTLS_CFLAGS = @GNUTLS_CFLAGS@
368 GNUTLS_LIBS = @GNUTLS_LIBS@
369 GREP = @GREP@
370 GST010_CFLAGS = @GST010_CFLAGS@
371 GST010_LIBS = @GST010_LIBS@
372 GST_CFLAGS = @GST_CFLAGS@
373 GST_CHECK_CFLAGS = @GST_CHECK_CFLAGS@
374 GST_CHECK_LIBS = @GST_CHECK_LIBS@
375 GST_LIBS = @GST_LIBS@
376 GTKDOC_CHECK = @GTKDOC_CHECK@
377 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
378 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
379 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
380 GTKDOC_MKPDF = @GTKDOC_MKPDF@
381 GTKDOC_REBASE = @GTKDOC_REBASE@
382 GUPNP_CFLAGS = @GUPNP_CFLAGS@
383 GUPNP_LIBS = @GUPNP_LIBS@
384 GUPNP_PACKAGES = @GUPNP_PACKAGES@
385 GUPNP_PACKAGES_PRIVATE = @GUPNP_PACKAGES_PRIVATE@
386 GUPNP_PACKAGES_PUBLIC = @GUPNP_PACKAGES_PUBLIC@
387 HAVE_GUPNP = @HAVE_GUPNP@
388 HTML_DIR = @HTML_DIR@
389 INSTALL = @INSTALL@
390 INSTALL_DATA = @INSTALL_DATA@
391 INSTALL_PROGRAM = @INSTALL_PROGRAM@
392 INSTALL_SCRIPT = @INSTALL_SCRIPT@
393 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
394 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
395 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
396 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
397 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
398 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
399 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
400 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
401 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
402 LD = @LD@
403 LDFLAGS = @LDFLAGS@
404 LIBNICE_CFLAGS = @LIBNICE_CFLAGS@
405 LIBNICE_LT_LDFLAGS = @LIBNICE_LT_LDFLAGS@
406 LIBOBJS = @LIBOBJS@
407 LIBRT = @LIBRT@
408 LIBS = @LIBS@
409 LIBTOOL = @LIBTOOL@
410 LIPO = @LIPO@
411 LN_S = @LN_S@
412 LTLIBOBJS = @LTLIBOBJS@
413 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
414 MAKEINFO = @MAKEINFO@
415 MANIFEST_TOOL = @MANIFEST_TOOL@
416 MKDIR_P = @MKDIR_P@
417 NICE_PACKAGES_PRIVATE = @NICE_PACKAGES_PRIVATE@
418 NICE_PACKAGES_PUBLIC = @NICE_PACKAGES_PUBLIC@
419 NM = @NM@
420 NMEDIT = @NMEDIT@
421 OBJDUMP = @OBJDUMP@
422 OBJEXT = @OBJEXT@
423 OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
424 OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
425 OPENSSL_LIBS = @OPENSSL_LIBS@
426 OTOOL = @OTOOL@
427 OTOOL64 = @OTOOL64@
428 PACKAGE = @PACKAGE@
429 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
430 PACKAGE_NAME = @PACKAGE_NAME@
431 PACKAGE_STRING = @PACKAGE_STRING@
432 PACKAGE_TARNAME = @PACKAGE_TARNAME@
433 PACKAGE_URL = @PACKAGE_URL@
434 PACKAGE_VERSION = @PACKAGE_VERSION@
435 PATH_SEPARATOR = @PATH_SEPARATOR@
436 PKG_CONFIG = @PKG_CONFIG@
437 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
438 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
439 RANLIB = @RANLIB@
440 SED = @SED@
441 SET_MAKE = @SET_MAKE@
442 SHELL = @SHELL@
443 STRIP = @STRIP@
444 UPNP_ENABLED = @UPNP_ENABLED@
445 VERSION = @VERSION@
446 abs_builddir = @abs_builddir@
447 abs_srcdir = @abs_srcdir@
448 abs_top_builddir = @abs_top_builddir@
449 abs_top_srcdir = @abs_top_srcdir@
450 ac_ct_AR = @ac_ct_AR@
451 ac_ct_CC = @ac_ct_CC@
452 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
453 am__include = @am__include@
454 am__leading_dot = @am__leading_dot@
455 am__quote = @am__quote@
456 am__tar = @am__tar@
457 am__untar = @am__untar@
458 bindir = @bindir@
459 build = @build@
460 build_alias = @build_alias@
461 build_cpu = @build_cpu@
462 build_os = @build_os@
463 build_vendor = @build_vendor@
464 builddir = @builddir@
465 datadir = @datadir@
466 datarootdir = @datarootdir@
467 docdir = @docdir@
468 dvidir = @dvidir@
469 exec_prefix = @exec_prefix@
470 gstplugin010dir = @gstplugin010dir@
471 gstplugindir = @gstplugindir@
472 host = @host@
473 host_alias = @host_alias@
474 host_cpu = @host_cpu@
475 host_os = @host_os@
476 host_vendor = @host_vendor@
477 htmldir = @htmldir@
478 includedir = @includedir@
479 infodir = @infodir@
480 install_sh = @install_sh@
481 libdir = @libdir@
482 libexecdir = @libexecdir@
483 localedir = @localedir@
484 localstatedir = @localstatedir@
485 mandir = @mandir@
486 mkdir_p = @mkdir_p@
487 oldincludedir = @oldincludedir@
488 pdfdir = @pdfdir@
489 prefix = @prefix@
490 program_transform_name = @program_transform_name@
491 psdir = @psdir@
492 sbindir = @sbindir@
493 sharedstatedir = @sharedstatedir@
494 srcdir = @srcdir@
495 sysconfdir = @sysconfdir@
496 target = @target@
497 target_alias = @target_alias@
498 target_cpu = @target_cpu@
499 target_os = @target_os@
500 target_vendor = @target_vendor@
501 top_build_prefix = @top_build_prefix@
502 top_builddir = @top_builddir@
503 top_srcdir = @top_srcdir@
504
505 # We require automake 1.6 at least.
506 AUTOMAKE_OPTIONS = 1.6
507
508 # The name of the module, e.g. 'glib'.
509 DOC_MODULE = libnice
510
511 # The top-level SGML file. You can change this if you want to.
512 DOC_MAIN_SGML_FILE = $(DOC_MODULE)-docs.xml
513
514 # The directory containing the source code. Relative to $(srcdir).
515 # gtk-doc will search all .c & .h files beneath here for inline comments
516 # documenting the functions and macros.
517 # e.g. DOC_SOURCE_DIR=../../../gtk
518 DOC_SOURCE_DIR = $(top_srcdir)/agent $(top_srcdir)/stun
519
520 # Extra options to pass to gtkdoc-scangobj. Not normally needed.
521 SCANGOBJ_OPTIONS = 
522
523 # Extra options to supply to gtkdoc-scan.
524 # e.g. SCAN_OPTIONS=--deprecated-guards="GTK_DISABLE_DEPRECATED"
525 SCAN_OPTIONS = --rebuild-types
526
527 # Extra options to supply to gtkdoc-mkdb.
528 # e.g. MKDB_OPTIONS=--sgml-mode --output-format=xml
529 MKDB_OPTIONS = --xml-mode --output-format=xml --name-space=Nice
530
531 # Extra options to supply to gtkdoc-mktmpl
532 # e.g. MKTMPL_OPTIONS=--only-section-tmpl
533 MKTMPL_OPTIONS = 
534
535 # Extra options to supply to gtkdoc-fixref. Not normally needed.
536 # e.g. FIXXREF_OPTIONS=--extra-dir=../gdk-pixbuf/html --extra-dir=../gdk/html
537 FIXXREF_OPTIONS = 
538
539 # Used for dependencies. The docs will be rebuilt if any of these change.
540 # e.g. HFILE_GLOB=$(top_srcdir)/gtk/*.h
541 # e.g. CFILE_GLOB=$(top_srcdir)/gtk/*.c
542 HFILE_GLOB = $(top_srcdir)/agent/agent.h $(top_srcdir)/agent/address.h \
543         $(top_srcdir)/agent/debug.h $(top_srcdir)/agent/candidate.h \
544         $(top_srcdir)/agent/interfaces.h \
545         $(top_srcdir)/agent/pseudotcp.h \
546         $(top_srcdir)/stun/stunagent.h  \
547         $(top_srcdir)/stun/stunmessage.h \
548         $(top_srcdir)/stun/debug.h \
549         $(top_srcdir)/stun/usages/bind.h \
550         $(top_srcdir)/stun/usages/ice.h \
551         $(top_srcdir)/stun/usages/timer.h \
552         $(top_srcdir)/stun/usages/turn.h
553
554 CFILE_GLOB = $(top_srcdir)/agent/agent.c \
555         $(top_srcdir)/agent/pseudotcp.c
556
557
558 # Header files to ignore when scanning.
559 # e.g. IGNORE_HFILES=gtkdebug.h gtkintl.h
560 IGNORE_HFILES = conncheck.h discovery.h stream.h component.h agent-priv.h \
561         iostream.h inputstream.h outputstream.h \
562         gstnice.h gstnicesrc.h gstnicesink.h  \
563         md5.h sha1.h stunhmac.h utils.h rand.h stun5389.h stuncrc32.h \
564         stund.h agent-signals-marshal.h win32_common.h
565
566
567 # Images to copy into HTML directory.
568 # e.g. HTML_IMAGES=$(top_srcdir)/gtk/stock-icons/stock_about_24.png
569 HTML_IMAGES = states.png
570
571 # Extra SGML files that are included by $(DOC_MAIN_SGML_FILE).
572 # e.g. content_files=running.sgml building.sgml changes-2.0.sgml
573 content_files = 
574
575 # SGML files where gtk-doc abbrevations (#GtkWidget) are expanded
576 # These files must be listed here *and* in content_files
577 # e.g. expand_content_files=running.sgml
578 expand_content_files = 
579
580 # CFLAGS and LDFLAGS for compiling gtkdoc-scangobj with your library.
581 # Only needed if you are using gtkdoc-scangobj to dynamically query widget
582 # signals and properties.
583 # e.g. INCLUDES=-I$(top_srcdir) -I$(top_builddir) $(GTK_DEBUG_FLAGS)
584 # e.g. GTKDOC_LIBS=$(top_builddir)/gtk/$(gtktargetlib)
585 AM_CFLAGS = $(LIBNICE_CFLAGS) \
586         $(GLIB_CFLAGS) \
587         -I $(top_srcdir) \
588         -I $(top_srcdir)/random \
589         -I $(top_srcdir)/socket \
590         -I $(top_srcdir)/stun
591
592 GTKDOC_LIBS = $(top_builddir)/agent/libagent.la $(GLIB_LIBS) $(top_builddir)/stun/libstun.la \
593          $(GUPNP_LIBS)
594
595 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_CC = $(CC) $(INCLUDES) $(GTKDOC_DEPS_CFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
596 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_CC = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(INCLUDES) $(GTKDOC_DEPS_CFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
597 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_LD = $(CC) $(GTKDOC_DEPS_LIBS) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
598 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_LD = $(LIBTOOL) --tag=CC --mode=link $(CC) $(GTKDOC_DEPS_LIBS) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
599 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_RUN = 
600 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_RUN = $(LIBTOOL) --mode=execute
601
602 # We set GPATH here; this gives us semantics for GNU make
603 # which are more like other make's VPATH, when it comes to
604 # whether a source that is a target of one rule is then
605 # searched for in VPATH/GPATH.
606 #
607 GPATH = $(srcdir)
608 TARGET_DIR = $(HTML_DIR)/$(DOC_MODULE)
609 SETUP_FILES = \
610         $(content_files)                \
611         $(expand_content_files)         \
612         $(DOC_MAIN_SGML_FILE)           \
613         $(DOC_MODULE)-sections.txt      \
614         $(DOC_MODULE)-overrides.txt
615
616
617 # This includes the standard gtk-doc make rules, copied by gtkdocize.
618
619 # Other files to distribute
620 # e.g. EXTRA_DIST += version.xml.in
621 EXTRA_DIST = $(HTML_IMAGES) $(SETUP_FILES) states.gv meson.build
622 DOC_STAMPS = setup-build.stamp scan-build.stamp sgml-build.stamp \
623         html-build.stamp pdf-build.stamp \
624         sgml.stamp html.stamp pdf.stamp
625
626 SCANOBJ_FILES = \
627         $(DOC_MODULE).args       \
628         $(DOC_MODULE).hierarchy  \
629         $(DOC_MODULE).interfaces \
630         $(DOC_MODULE).prerequisites \
631         $(DOC_MODULE).signals
632
633 REPORT_FILES = \
634         $(DOC_MODULE)-undocumented.txt \
635         $(DOC_MODULE)-undeclared.txt \
636         $(DOC_MODULE)-unused.txt
637
638 CLEANFILES = $(SCANOBJ_FILES) $(REPORT_FILES) $(DOC_STAMPS) gtkdoc-check.test
639 @GTK_DOC_BUILD_HTML_FALSE@HTML_BUILD_STAMP = 
640 @GTK_DOC_BUILD_HTML_TRUE@HTML_BUILD_STAMP = html-build.stamp
641 @GTK_DOC_BUILD_PDF_FALSE@PDF_BUILD_STAMP = 
642 @GTK_DOC_BUILD_PDF_TRUE@PDF_BUILD_STAMP = pdf-build.stamp
643
644 #### setup ####
645 GTK_DOC_V_SETUP = $(GTK_DOC_V_SETUP_$(V))
646 GTK_DOC_V_SETUP_ = $(GTK_DOC_V_SETUP_$(AM_DEFAULT_VERBOSITY))
647 GTK_DOC_V_SETUP_0 = @echo "  DOC   Preparing build";
648
649 #### scan ####
650 GTK_DOC_V_SCAN = $(GTK_DOC_V_SCAN_$(V))
651 GTK_DOC_V_SCAN_ = $(GTK_DOC_V_SCAN_$(AM_DEFAULT_VERBOSITY))
652 GTK_DOC_V_SCAN_0 = @echo "  DOC   Scanning header files";
653 GTK_DOC_V_INTROSPECT = $(GTK_DOC_V_INTROSPECT_$(V))
654 GTK_DOC_V_INTROSPECT_ = $(GTK_DOC_V_INTROSPECT_$(AM_DEFAULT_VERBOSITY))
655 GTK_DOC_V_INTROSPECT_0 = @echo "  DOC   Introspecting gobjects";
656
657 #### xml ####
658 GTK_DOC_V_XML = $(GTK_DOC_V_XML_$(V))
659 GTK_DOC_V_XML_ = $(GTK_DOC_V_XML_$(AM_DEFAULT_VERBOSITY))
660 GTK_DOC_V_XML_0 = @echo "  DOC   Building XML";
661
662 #### html ####
663 GTK_DOC_V_HTML = $(GTK_DOC_V_HTML_$(V))
664 GTK_DOC_V_HTML_ = $(GTK_DOC_V_HTML_$(AM_DEFAULT_VERBOSITY))
665 GTK_DOC_V_HTML_0 = @echo "  DOC   Building HTML";
666 GTK_DOC_V_XREF = $(GTK_DOC_V_XREF_$(V))
667 GTK_DOC_V_XREF_ = $(GTK_DOC_V_XREF_$(AM_DEFAULT_VERBOSITY))
668 GTK_DOC_V_XREF_0 = @echo "  DOC   Fixing cross-references";
669
670 #### pdf ####
671 GTK_DOC_V_PDF = $(GTK_DOC_V_PDF_$(V))
672 GTK_DOC_V_PDF_ = $(GTK_DOC_V_PDF_$(AM_DEFAULT_VERBOSITY))
673 GTK_DOC_V_PDF_0 = @echo "  DOC   Building PDF";
674 @ENABLE_GTK_DOC_TRUE@TESTS_ENVIRONMENT = \
675 @ENABLE_GTK_DOC_TRUE@  DOC_MODULE=$(DOC_MODULE) DOC_MAIN_SGML_FILE=$(DOC_MAIN_SGML_FILE) \
676 @ENABLE_GTK_DOC_TRUE@  SRCDIR=$(abs_srcdir) BUILDDIR=$(abs_builddir)
677
678 @ENABLE_GTK_DOC_TRUE@TESTS = $(GTKDOC_CHECK)
679 all: all-am
680
681 .SUFFIXES:
682 .SUFFIXES: .log .test .test$(EXEEXT) .trs
683 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/gtk-doc.make $(am__configure_deps)
684         @for dep in $?; do \
685           case '$(am__configure_deps)' in \
686             *$$dep*) \
687               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
688                 && { if test -f $@; then exit 0; else break; fi; }; \
689               exit 1;; \
690           esac; \
691         done; \
692         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu docs/reference/libnice/Makefile'; \
693         $(am__cd) $(top_srcdir) && \
694           $(AUTOMAKE) --gnu docs/reference/libnice/Makefile
695 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
696         @case '$?' in \
697           *config.status*) \
698             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
699           *) \
700             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
701             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
702         esac;
703 $(top_srcdir)/gtk-doc.make $(am__empty):
704
705 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
706         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
707
708 $(top_srcdir)/configure:  $(am__configure_deps)
709         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
710 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
711         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
712 $(am__aclocal_m4_deps):
713
714 mostlyclean-libtool:
715         -rm -f *.lo
716
717 clean-libtool:
718         -rm -rf .libs _libs
719 tags TAGS:
720
721 ctags CTAGS:
722
723 cscope cscopelist:
724
725
726 # Recover from deleted '.trs' file; this should ensure that
727 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
728 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
729 # to avoid problems with "make -n".
730 .log.trs:
731         rm -f $< $@
732         $(MAKE) $(AM_MAKEFLAGS) $<
733
734 # Leading 'am--fnord' is there to ensure the list of targets does not
735 # expand to empty, as could happen e.g. with make check TESTS=''.
736 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
737 am--force-recheck:
738         @:
739
740 $(TEST_SUITE_LOG): $(TEST_LOGS)
741         @$(am__set_TESTS_bases); \
742         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
743         redo_bases=`for i in $$bases; do \
744                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
745                     done`; \
746         if test -n "$$redo_bases"; then \
747           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
748           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
749           if $(am__make_dryrun); then :; else \
750             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
751           fi; \
752         fi; \
753         if test -n "$$am__remaking_logs"; then \
754           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
755                "recursion detected" >&2; \
756         elif test -n "$$redo_logs"; then \
757           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
758         fi; \
759         if $(am__make_dryrun); then :; else \
760           st=0;  \
761           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
762           for i in $$redo_bases; do \
763             test -f $$i.trs && test -r $$i.trs \
764               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
765             test -f $$i.log && test -r $$i.log \
766               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
767           done; \
768           test $$st -eq 0 || exit 1; \
769         fi
770         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
771         ws='[   ]'; \
772         results=`for b in $$bases; do echo $$b.trs; done`; \
773         test -n "$$results" || results=/dev/null; \
774         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
775         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
776         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
777         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
778         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
779         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
780         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
781         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
782           success=true; \
783         else \
784           success=false; \
785         fi; \
786         br='==================='; br=$$br$$br$$br$$br; \
787         result_count () \
788         { \
789             if test x"$$1" = x"--maybe-color"; then \
790               maybe_colorize=yes; \
791             elif test x"$$1" = x"--no-color"; then \
792               maybe_colorize=no; \
793             else \
794               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
795             fi; \
796             shift; \
797             desc=$$1 count=$$2; \
798             if test $$maybe_colorize = yes && test $$count -gt 0; then \
799               color_start=$$3 color_end=$$std; \
800             else \
801               color_start= color_end=; \
802             fi; \
803             echo "$${color_start}# $$desc $$count$${color_end}"; \
804         }; \
805         create_testsuite_report () \
806         { \
807           result_count $$1 "TOTAL:" $$all   "$$brg"; \
808           result_count $$1 "PASS: " $$pass  "$$grn"; \
809           result_count $$1 "SKIP: " $$skip  "$$blu"; \
810           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
811           result_count $$1 "FAIL: " $$fail  "$$red"; \
812           result_count $$1 "XPASS:" $$xpass "$$red"; \
813           result_count $$1 "ERROR:" $$error "$$mgn"; \
814         }; \
815         {                                                               \
816           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
817             $(am__rst_title);                                           \
818           create_testsuite_report --no-color;                           \
819           echo;                                                         \
820           echo ".. contents:: :depth: 2";                               \
821           echo;                                                         \
822           for b in $$bases; do echo $$b; done                           \
823             | $(am__create_global_log);                                 \
824         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
825         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
826         if $$success; then                                              \
827           col="$$grn";                                                  \
828          else                                                           \
829           col="$$red";                                                  \
830           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
831         fi;                                                             \
832         echo "$${col}$$br$${std}";                                      \
833         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
834         echo "$${col}$$br$${std}";                                      \
835         create_testsuite_report --maybe-color;                          \
836         echo "$$col$$br$$std";                                          \
837         if $$success; then :; else                                      \
838           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
839           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
840             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
841           fi;                                                           \
842           echo "$$col$$br$$std";                                        \
843         fi;                                                             \
844         $$success || exit 1
845
846 check-TESTS: 
847         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
848         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
849         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
850         @set +e; $(am__set_TESTS_bases); \
851         log_list=`for i in $$bases; do echo $$i.log; done`; \
852         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
853         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
854         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
855         exit $$?;
856 recheck: all 
857         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
858         @set +e; $(am__set_TESTS_bases); \
859         bases=`for i in $$bases; do echo $$i; done \
860                  | $(am__list_recheck_tests)` || exit 1; \
861         log_list=`for i in $$bases; do echo $$i.log; done`; \
862         log_list=`echo $$log_list`; \
863         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
864                 am__force_recheck=am--force-recheck \
865                 TEST_LOGS="$$log_list"; \
866         exit $$?
867 .test.log:
868         @p='$<'; \
869         $(am__set_b); \
870         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
871         --log-file $$b.log --trs-file $$b.trs \
872         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
873         "$$tst" $(AM_TESTS_FD_REDIRECT)
874 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
875 @am__EXEEXT_TRUE@       @p='$<'; \
876 @am__EXEEXT_TRUE@       $(am__set_b); \
877 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
878 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
879 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
880 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
881
882 distdir: $(BUILT_SOURCES)
883         $(MAKE) $(AM_MAKEFLAGS) distdir-am
884
885 distdir-am: $(DISTFILES)
886         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
887         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
888         list='$(DISTFILES)'; \
889           dist_files=`for file in $$list; do echo $$file; done | \
890           sed -e "s|^$$srcdirstrip/||;t" \
891               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
892         case $$dist_files in \
893           */*) $(MKDIR_P) `echo "$$dist_files" | \
894                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
895                            sort -u` ;; \
896         esac; \
897         for file in $$dist_files; do \
898           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
899           if test -d $$d/$$file; then \
900             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
901             if test -d "$(distdir)/$$file"; then \
902               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
903             fi; \
904             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
905               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
906               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
907             fi; \
908             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
909           else \
910             test -f "$(distdir)/$$file" \
911             || cp -p $$d/$$file "$(distdir)/$$file" \
912             || exit 1; \
913           fi; \
914         done
915         $(MAKE) $(AM_MAKEFLAGS) \
916           top_distdir="$(top_distdir)" distdir="$(distdir)" \
917           dist-hook
918 check-am: all-am
919         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
920 check: check-am
921 @ENABLE_GTK_DOC_FALSE@all-local:
922 all-am: Makefile all-local
923 installdirs:
924 install: install-am
925 install-exec: install-exec-am
926 install-data: install-data-am
927 uninstall: uninstall-am
928
929 install-am: all-am
930         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
931
932 installcheck: installcheck-am
933 install-strip:
934         if test -z '$(STRIP)'; then \
935           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
936             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
937               install; \
938         else \
939           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
940             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
941             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
942         fi
943 mostlyclean-generic:
944         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
945         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
946         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
947
948 clean-generic:
949         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
950
951 distclean-generic:
952         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
953         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
954
955 maintainer-clean-generic:
956         @echo "This command is intended for maintainers to use"
957         @echo "it deletes files that may require special tools to rebuild."
958 clean: clean-am
959
960 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
961
962 distclean: distclean-am
963         -rm -f Makefile
964 distclean-am: clean-am distclean-generic distclean-local
965
966 dvi: dvi-am
967
968 dvi-am:
969
970 html: html-am
971
972 html-am:
973
974 info: info-am
975
976 info-am:
977
978 install-data-am: install-data-local
979
980 install-dvi: install-dvi-am
981
982 install-dvi-am:
983
984 install-exec-am:
985
986 install-html: install-html-am
987
988 install-html-am:
989
990 install-info: install-info-am
991
992 install-info-am:
993
994 install-man:
995
996 install-pdf: install-pdf-am
997
998 install-pdf-am:
999
1000 install-ps: install-ps-am
1001
1002 install-ps-am:
1003
1004 installcheck-am:
1005
1006 maintainer-clean: maintainer-clean-am
1007         -rm -f Makefile
1008 maintainer-clean-am: distclean-am maintainer-clean-generic \
1009         maintainer-clean-local
1010
1011 mostlyclean: mostlyclean-am
1012
1013 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1014
1015 pdf: pdf-am
1016
1017 pdf-am:
1018
1019 ps: ps-am
1020
1021 ps-am:
1022
1023 uninstall-am: uninstall-local
1024
1025 .MAKE: check-am install-am install-strip
1026
1027 .PHONY: all all-am all-local check check-TESTS check-am clean \
1028         clean-generic clean-libtool clean-local cscopelist-am ctags-am \
1029         dist-hook distclean distclean-generic distclean-libtool \
1030         distclean-local distdir dvi dvi-am html html-am info info-am \
1031         install install-am install-data install-data-am \
1032         install-data-local install-dvi install-dvi-am install-exec \
1033         install-exec-am install-html install-html-am install-info \
1034         install-info-am install-man install-pdf install-pdf-am \
1035         install-ps install-ps-am install-strip installcheck \
1036         installcheck-am installdirs maintainer-clean \
1037         maintainer-clean-generic maintainer-clean-local mostlyclean \
1038         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1039         recheck tags-am uninstall uninstall-am uninstall-local
1040
1041 .PRECIOUS: Makefile
1042
1043
1044 gtkdoc-check.test: Makefile
1045         $(AM_V_GEN)echo "#!/bin/sh -e" > $@; \
1046                 echo "$(GTKDOC_CHECK_PATH) || exit 1" >> $@; \
1047                 chmod +x $@
1048
1049 all-gtk-doc: $(HTML_BUILD_STAMP) $(PDF_BUILD_STAMP)
1050 .PHONY: all-gtk-doc
1051
1052 @ENABLE_GTK_DOC_TRUE@all-local: all-gtk-doc
1053
1054 docs: $(HTML_BUILD_STAMP) $(PDF_BUILD_STAMP)
1055
1056 $(REPORT_FILES): sgml-build.stamp
1057
1058 setup-build.stamp:
1059         -$(GTK_DOC_V_SETUP)if test "$(abs_srcdir)" != "$(abs_builddir)" ; then \
1060             files=`echo $(SETUP_FILES) $(DOC_MODULE).types`; \
1061             if test "x$$files" != "x" ; then \
1062                 for file in $$files ; do \
1063                     destdir=`dirname $(abs_builddir)/$$file`; \
1064                     test -d "$$destdir" || mkdir -p "$$destdir"; \
1065                     test -f $(abs_srcdir)/$$file && \
1066                         cp -pf $(abs_srcdir)/$$file $(abs_builddir)/$$file || true; \
1067                 done; \
1068             fi; \
1069         fi
1070         $(AM_V_at)touch setup-build.stamp
1071
1072 scan-build.stamp: setup-build.stamp $(HFILE_GLOB) $(CFILE_GLOB)
1073         $(GTK_DOC_V_SCAN)_source_dir='' ; \
1074         for i in $(DOC_SOURCE_DIR) ; do \
1075             _source_dir="$${_source_dir} --source-dir=$$i" ; \
1076         done ; \
1077         gtkdoc-scan --module=$(DOC_MODULE) --ignore-headers="$(IGNORE_HFILES)" $${_source_dir} $(SCAN_OPTIONS) $(EXTRA_HFILES)
1078         $(GTK_DOC_V_INTROSPECT)if grep -l '^..*$$' $(DOC_MODULE).types > /dev/null 2>&1 ; then \
1079             scanobj_options=""; \
1080             gtkdoc-scangobj 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
1081             if test "$$?" = "0"; then \
1082                 if test "x$(V)" = "x1"; then \
1083                     scanobj_options="--verbose"; \
1084                 fi; \
1085             fi; \
1086             CC="$(GTKDOC_CC)" LD="$(GTKDOC_LD)" RUN="$(GTKDOC_RUN)" CFLAGS="$(GTKDOC_CFLAGS) $(CFLAGS)" LDFLAGS="$(GTKDOC_LIBS) $(LDFLAGS)" \
1087             gtkdoc-scangobj $(SCANGOBJ_OPTIONS) $$scanobj_options --module=$(DOC_MODULE); \
1088         else \
1089             for i in $(SCANOBJ_FILES) ; do \
1090                 test -f $$i || touch $$i ; \
1091             done \
1092         fi
1093         $(AM_V_at)touch scan-build.stamp
1094
1095 $(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt: scan-build.stamp
1096         @true
1097
1098 sgml-build.stamp: setup-build.stamp $(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(HFILE_GLOB) $(CFILE_GLOB) $(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt $(expand_content_files) xml/gtkdocentities.ent
1099         $(GTK_DOC_V_XML)_source_dir='' ; \
1100         for i in $(DOC_SOURCE_DIR) ; do \
1101             _source_dir="$${_source_dir} --source-dir=$$i" ; \
1102         done ; \
1103         gtkdoc-mkdb --module=$(DOC_MODULE) --output-format=xml --expand-content-files="$(expand_content_files)" --main-sgml-file=$(DOC_MAIN_SGML_FILE) $${_source_dir} $(MKDB_OPTIONS)
1104         $(AM_V_at)touch sgml-build.stamp
1105
1106 sgml.stamp: sgml-build.stamp
1107         @true
1108
1109 xml/gtkdocentities.ent: Makefile
1110         $(GTK_DOC_V_XML)$(MKDIR_P) $(@D) && ( \
1111                 echo "<!ENTITY package \"$(PACKAGE)\">"; \
1112                 echo "<!ENTITY package_bugreport \"$(PACKAGE_BUGREPORT)\">"; \
1113                 echo "<!ENTITY package_name \"$(PACKAGE_NAME)\">"; \
1114                 echo "<!ENTITY package_string \"$(PACKAGE_STRING)\">"; \
1115                 echo "<!ENTITY package_tarname \"$(PACKAGE_TARNAME)\">"; \
1116                 echo "<!ENTITY package_url \"$(PACKAGE_URL)\">"; \
1117                 echo "<!ENTITY package_version \"$(PACKAGE_VERSION)\">"; \
1118         ) > $@
1119
1120 html-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files) $(expand_content_files)
1121         $(GTK_DOC_V_HTML)rm -rf html && mkdir html && \
1122         mkhtml_options=""; \
1123         gtkdoc-mkhtml 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
1124         if test "$$?" = "0"; then \
1125           if test "x$(V)" = "x1"; then \
1126             mkhtml_options="$$mkhtml_options --verbose"; \
1127           fi; \
1128         fi; \
1129         gtkdoc-mkhtml 2>&1 --help | grep  >/dev/null "\-\-path"; \
1130         if test "$$?" = "0"; then \
1131           mkhtml_options="$$mkhtml_options --path=\"$(abs_srcdir)\""; \
1132         fi; \
1133         cd html && gtkdoc-mkhtml $$mkhtml_options $(MKHTML_OPTIONS) $(DOC_MODULE) ../$(DOC_MAIN_SGML_FILE)
1134         -@test "x$(HTML_IMAGES)" = "x" || \
1135         for file in $(HTML_IMAGES) ; do \
1136           if test -f $(abs_srcdir)/$$file ; then \
1137             cp $(abs_srcdir)/$$file $(abs_builddir)/html; \
1138           fi; \
1139           if test -f $(abs_builddir)/$$file ; then \
1140             cp $(abs_builddir)/$$file $(abs_builddir)/html; \
1141           fi; \
1142         done;
1143         $(GTK_DOC_V_XREF)gtkdoc-fixxref --module=$(DOC_MODULE) --module-dir=html --html-dir=$(HTML_DIR) $(FIXXREF_OPTIONS)
1144         $(AM_V_at)touch html-build.stamp
1145
1146 pdf-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files) $(expand_content_files)
1147         $(GTK_DOC_V_PDF)rm -f $(DOC_MODULE).pdf && \
1148         mkpdf_options=""; \
1149         gtkdoc-mkpdf 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
1150         if test "$$?" = "0"; then \
1151           if test "x$(V)" = "x1"; then \
1152             mkpdf_options="$$mkpdf_options --verbose"; \
1153           fi; \
1154         fi; \
1155         if test "x$(HTML_IMAGES)" != "x"; then \
1156           for img in $(HTML_IMAGES); do \
1157             part=`dirname $$img`; \
1158             echo $$mkpdf_options | grep >/dev/null "\-\-imgdir=$$part "; \
1159             if test $$? != 0; then \
1160               mkpdf_options="$$mkpdf_options --imgdir=$$part"; \
1161             fi; \
1162           done; \
1163         fi; \
1164         gtkdoc-mkpdf --path="$(abs_srcdir)" $$mkpdf_options $(DOC_MODULE) $(DOC_MAIN_SGML_FILE) $(MKPDF_OPTIONS)
1165         $(AM_V_at)touch pdf-build.stamp
1166
1167 ##############
1168
1169 clean-local:
1170         @rm -f *~ *.bak
1171         @rm -rf .libs
1172         @if echo $(SCAN_OPTIONS) | grep -q "\-\-rebuild-types" ; then \
1173           rm -f $(DOC_MODULE).types; \
1174         fi
1175         @if echo $(SCAN_OPTIONS) | grep -q "\-\-rebuild-sections" ; then \
1176           rm -f $(DOC_MODULE)-sections.txt; \
1177         fi
1178
1179 distclean-local:
1180         @rm -rf xml html $(REPORT_FILES) $(DOC_MODULE).pdf \
1181             $(DOC_MODULE)-decl-list.txt $(DOC_MODULE)-decl.txt
1182         @if test "$(abs_srcdir)" != "$(abs_builddir)" ; then \
1183             rm -f $(SETUP_FILES) $(DOC_MODULE).types; \
1184         fi
1185
1186 maintainer-clean-local:
1187         @rm -rf xml html
1188
1189 install-data-local:
1190         @installfiles=`echo $(builddir)/html/*`; \
1191         if test "$$installfiles" = '$(builddir)/html/*'; \
1192         then echo 1>&2 'Nothing to install' ; \
1193         else \
1194           if test -n "$(DOC_MODULE_VERSION)"; then \
1195             installdir="$(DESTDIR)$(TARGET_DIR)-$(DOC_MODULE_VERSION)"; \
1196           else \
1197             installdir="$(DESTDIR)$(TARGET_DIR)"; \
1198           fi; \
1199           $(mkinstalldirs) $${installdir} ; \
1200           for i in $$installfiles; do \
1201             echo ' $(INSTALL_DATA) '$$i ; \
1202             $(INSTALL_DATA) $$i $${installdir}; \
1203           done; \
1204           if test -n "$(DOC_MODULE_VERSION)"; then \
1205             mv -f $${installdir}/$(DOC_MODULE).devhelp2 \
1206               $${installdir}/$(DOC_MODULE)-$(DOC_MODULE_VERSION).devhelp2; \
1207           fi; \
1208           $(GTKDOC_REBASE) --relative --dest-dir=$(DESTDIR) --html-dir=$${installdir}; \
1209         fi
1210
1211 uninstall-local:
1212         @if test -n "$(DOC_MODULE_VERSION)"; then \
1213           installdir="$(DESTDIR)$(TARGET_DIR)-$(DOC_MODULE_VERSION)"; \
1214         else \
1215           installdir="$(DESTDIR)$(TARGET_DIR)"; \
1216         fi; \
1217         rm -rf $${installdir}
1218
1219 #
1220 # Require gtk-doc when making dist
1221 #
1222 @HAVE_GTK_DOC_TRUE@dist-check-gtkdoc: docs
1223 @HAVE_GTK_DOC_FALSE@dist-check-gtkdoc:
1224 @HAVE_GTK_DOC_FALSE@    @echo "*** gtk-doc is needed to run 'make dist'.         ***"
1225 @HAVE_GTK_DOC_FALSE@    @echo "*** gtk-doc was not found when 'configure' ran.   ***"
1226 @HAVE_GTK_DOC_FALSE@    @echo "*** please install gtk-doc and rerun 'configure'. ***"
1227 @HAVE_GTK_DOC_FALSE@    @false
1228
1229 dist-hook: dist-check-gtkdoc all-gtk-doc dist-hook-local
1230         @mkdir $(distdir)/html
1231         @cp ./html/* $(distdir)/html
1232         @-cp ./$(DOC_MODULE).pdf $(distdir)/
1233         @-cp ./$(DOC_MODULE).types $(distdir)/
1234         @-cp ./$(DOC_MODULE)-sections.txt $(distdir)/
1235         @cd $(distdir) && rm -f $(DISTCLEANFILES)
1236         @$(GTKDOC_REBASE) --online --relative --html-dir=$(distdir)/html
1237
1238 .PHONY : dist-hook-local docs
1239
1240 # Files not to distribute
1241 # for --rebuild-types in $(SCAN_OPTIONS), e.g. $(DOC_MODULE).types
1242 # for --rebuild-sections in $(SCAN_OPTIONS) e.g. $(DOC_MODULE)-sections.txt
1243 #DISTCLEANFILES +=
1244
1245 # If we ever need to regenerate this diagram.
1246 # Since it’s not expected to change much, let’s not depend on GraphViz to
1247 # build the docs.
1248 states.png: states.gv
1249         dot -Tpng -Gsize=9.6,2.9\! -Gdpi=200 $^ > $@
1250
1251 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1252 # Otherwise a system limit (for SysV at least) may be exceeded.
1253 .NOEXPORT: